Name:           prelude-lml-rules
Version:        3.1.0
Release:        1%{?dist}
Summary:        Prelude LML community ruleset
License:        GPLv2+
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/pkg/src/3.1.0/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       prelude-lml

%description
Rules for Prelude LML contributed by the community.

%prep
%setup -q

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 src/%{name}-check %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_sysconfdir}/prelude-lml/ruleset
cp -pr ruleset/* %{buildroot}%{_sysconfdir}/prelude-lml/ruleset/

sed -i 's|#!/usr/bin/env perl|#!/usr/bin/perl|' %{buildroot}%{_bindir}/%{name}-check

%build
# No build action

%check
test -z "`%{buildroot}%{_bindir}/%{name}-check %{buildroot}%{_sysconfdir}/prelude-lml/ruleset/*.rules 2>&1 | grep WARNING`"

%files
%license COPYING
%doc NEWS README AUTHORS
%{_bindir}/%{name}-check
%dir %{_sysconfdir}/prelude-lml/ruleset
%dir %{_sysconfdir}/prelude-lml/ruleset/unsupported
%config(noreplace) %{_sysconfdir}/prelude-lml/ruleset/*.rules
%config(noreplace) %{_sysconfdir}/prelude-lml/ruleset/unsupported/*.rules


%changelog
* Fri Feb 17 2017 Thomas Andrejak <thomas.andrejak@gmail.com> - 3.1.0-1
- Initial package
